URL_LIST Struct Reference

Represents a list of URLs as in the "callback" header of SUBSCRIBE message in GENA. "char *" URLs holds dynamic memory. More...

`#include <uri.h>`

Collaboration diagram for URL_LIST:
[legend]

## Data Fields

int | size
char * | URLs
uri_type * | parsedURLs

## Detailed Description

Represents a list of URLs as in the "callback" header of SUBSCRIBE message in GENA. "char *" URLs holds dynamic memory.

## Field Documentation

char* URL_LIST::URLs

All the urls, delimited by <>

Referenced by copy_URL_list(), create_url_list(), free_URL_list(), and gena_process_subscription_request().

The documentation for this struct was generated from the following file:

- upnp/src/inc/uri.h